# Type Alias RafScheduler

type RafScheduler = {
queue: (() => void)[][];
waitUntilQuiet(fn: () => void): void;
(tasks: (() => void)[]): void;
}

- RafScheduler(tasks: (() => void)[]): void

  Schedules a list of functions to run on the next animation frame(s).

  #### Parameters

  - tasks: (() => void)[]

    The tasks to be scheduled.

  #### Returns void

  - Defined in src/animations/interface.ts:6

##### Index

### Properties

queue

### Methods

waitUntilQuiet

## Properties

### queue

queue: (() => void)[][]

Internal queue of scheduled task arrays.

- Defined in src/animations/interface.ts:11

## Methods

### waitUntilQuiet

- waitUntilQuiet(fn: () => void): void

  Waits until the animation frame is quiet before running the provided function. Cancels any previous animation frame requests.

  #### Parameters

  - fn: () => void

    The function to run when the frame is quiet.

  #### Returns void

  - Defined in src/animations/interface.ts:18